---
title: "Link a ticket to another ticket"
url: https://docs.gleap.ai/en/reference/rest-api/link-ticket
method: PUT
path: "/tickets/{ticketId}/link"
api: "API Reference"
tag: "Ticket"
operationId: "LinkTicket"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Link a ticket to another ticket

`PUT https://api.gleap.io/v3/tickets/{ticketId}/link`

Creates a bidirectional link between the ticket and `targetTicketId` and returns the updated list of linked tickets. Linking a regular ticket to a tracker ticket also archives the regular ticket (it is now tracked by the tracker). Calling it again for an already linked pair is a no-op.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `ticketId` (string, required)

## Headers

- `project` (string, required)

## Request body (`application/json`, required)

- `targetTicketId` (string, required)

## Example request

```bash
curl --request PUT \
  --url 'https://api.gleap.io/v3/tickets/{ticketId}/link' \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>' \
  --header 'Content-Type: application/json' \
  --data '{
  "targetTicketId": "<targetTicketId>"
}'
```

## Responses

### 200 (`application/json`)

Ok
